// packageH/cpsPwd/cpsPwd.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    timeRepetition: '',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if(options.id){
      this.setData({
        order_id:options.id
      });
    }
    console.log(options.id);
    wx.showLoading({
      title: '查询中请耐心等候',
    });
    this.data.timeRepetition = setInterval(() => {
      this.getData();
    }, 1500);
  },
  copyTxt(){
    wx.setClipboardData({
      data: `卡号：${this.data.info.goods_number} 卡密：${this.data.info.goods_password}`,
      success (res) {
        console.log(res);
      }
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function (e) {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getData() {
    let that = this;
    let urlStr = app.getNetAddresss('plugin.aggregation-cps.api.equity.order-detail');
    app._getNetWork({
      url: urlStr,
      data: {
        order_id: that.data.order_id
      },
      success: (resdata) => {
        let res = resdata.data;
        if (res.result == 1) {
          clearInterval(this.data.timeRepetition);
          wx.hideLoading();
          that.setData({
            info: res.data.coupon_info.coupons[0],
            datas: res.data
          });
        } else {
          console.log('查询失败');
        }
      },
      fail: function (res) {
        console.log(res.msg);
      }
    });
  }
});